\name{sample.geodata}
\alias{sample.geodata}
\alias{sample.grf}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Sampling from geodata objects}
\description{
  This functions allows to extract random, preferential or clustered
  samples from geodata objects
}
\usage{
sample.geodata(x, size, coef, external)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{an object of the class \code{geodata}. }
  \item{size}{sample size. }
  \item{coef}{optional. A scalar with the coeficient for the
  log Cox process. See DETAILS below.  }
\item{external}{optional. A vector with length equals to the
  number of data points.  }
}
\details{
  ~~ If necessary, more details than the description above ~~
}
\value{
  a list which is an object of the class code{geodata}.
}
%\references{ ~put references to the literature/web site here ~ }
%\author{ ~~who you are~~ }
%\note{ ~~further notes~~ 
%
% ~Make other sections like Warning with \section{Warning }{....} ~
%}
\seealso{\code{\link{as.geodata}}, \code{\link{sample}}.}
\examples{
par(mfrow=c(1,2))
S1 <- grf(2500,  grid="reg", cov.pars=c(1, .23))
image(S1, col=gray(seq(0.9,0.1,l=100)))
y1 <- sample.geodata(S1, 80)
points(y1$coords, pch=19)
y2 <- sample.geodata(S1, 80, coef=1.3)
points(y2$coords, pch=19, col=2)
S2 <- grf(2500,  grid="reg", cov.pars=c(1, .23))
y3 <- sample.geodata(S1, 80, coef=1.3, external=S2$data)
points(y3$coords, pch=19, col=4)
image(S2, col=gray(seq(0.9,0.1,l=100)))
points(y3$coords, pch=19, col=4)
}
\keyword{spatial}% at least one, from doc/KEYWORDS
\keyword{manip}% __ONLY ONE__ keyword per line
